<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="fr">
<head>
<!-- Generated by javadoc (1.8.0_271) on Thu Apr 01 09:30:38 CEST 2021 -->
<title>O-Index</title>
<meta name="date" content="2021-04-01">
<link rel="stylesheet" type="text/css" href="../stylesheet.css" title="Style">
<script type="text/javascript" src="../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="O-Index";
        }
    }
    catch(err) {
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../overview-summary.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li><a href="../overview-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li class="navBarCell1Rev">Index</li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="index-11.html">Prev Letter</a></li>
<li><a href="index-13.html">Next Letter</a></li>
</ul>
<ul class="navList">
<li><a href="../index.html?index-files/index-12.html" target="_top">Frames</a></li>
<li><a href="index-12.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="contentContainer"><a href="index-1.html">A</a>&nbsp;<a href="index-2.html">B</a>&nbsp;<a href="index-3.html">C</a>&nbsp;<a href="index-4.html">D</a>&nbsp;<a href="index-5.html">E</a>&nbsp;<a href="index-6.html">F</a>&nbsp;<a href="index-7.html">G</a>&nbsp;<a href="index-8.html">H</a>&nbsp;<a href="index-9.html">I</a>&nbsp;<a href="index-10.html">L</a>&nbsp;<a href="index-11.html">M</a>&nbsp;<a href="index-12.html">O</a>&nbsp;<a href="index-13.html">P</a>&nbsp;<a href="index-14.html">R</a>&nbsp;<a href="index-15.html">S</a>&nbsp;<a href="index-16.html">T</a>&nbsp;<a href="index-17.html">U</a>&nbsp;<a href="index-18.html">V</a>&nbsp;<a href="index-19.html">W</a>&nbsp;<a name="I:O">
<!--   -->
</a>
<h2 class="title">O</h2>
<dl>
<dt><span class="memberNameLink"><a href="../ch/hevs/isi/field/FloatRegister.html#offset">offset</a></span> - Variable in class ch.hevs.isi.field.<a href="../ch/hevs/isi/field/FloatRegister.html" title="class in ch.hevs.isi.field">FloatRegister</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../ch/hevs/isi/web/WebConnector.html#onClose-org.java_websocket.WebSocket-int-java.lang.String-boolean-">onClose(WebSocket, int, String, boolean)</a></span> - Method in class ch.hevs.isi.web.<a href="../ch/hevs/isi/web/WebConnector.html" title="class in ch.hevs.isi.web">WebConnector</a></dt>
<dd>
<div class="block">Method inherited from WebSocketServer
 Used to close te connection</div>
</dd>
<dt><span class="memberNameLink"><a href="../ch/hevs/isi/web/WebConnector.html#onError-org.java_websocket.WebSocket-java.lang.Exception-">onError(WebSocket, Exception)</a></span> - Method in class ch.hevs.isi.web.<a href="../ch/hevs/isi/web/WebConnector.html" title="class in ch.hevs.isi.web">WebConnector</a></dt>
<dd>
<div class="block">Method inherited from WebSocketServer
 Print the result of the error</div>
</dd>
<dt><span class="memberNameLink"><a href="../ch/hevs/isi/web/WebConnector.html#onMessage-org.java_websocket.WebSocket-java.lang.String-">onMessage(WebSocket, String)</a></span> - Method in class ch.hevs.isi.web.<a href="../ch/hevs/isi/web/WebConnector.html" title="class in ch.hevs.isi.web">WebConnector</a></dt>
<dd>
<div class="block">Method inherited from WebSocketServer
 The method takes a raw String from the web page.</div>
</dd>
<dt><span class="memberNameLink"><a href="../ch/hevs/isi/core/DataPointListener.html#onNewValue-ch.hevs.isi.core.FloatDataPoint-">onNewValue(FloatDataPoint)</a></span> - Method in interface ch.hevs.isi.core.<a href="../ch/hevs/isi/core/DataPointListener.html" title="interface in ch.hevs.isi.core">DataPointListener</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../ch/hevs/isi/core/DataPointListener.html#onNewValue-ch.hevs.isi.core.BinaryDataPoint-">onNewValue(BinaryDataPoint)</a></span> - Method in interface ch.hevs.isi.core.<a href="../ch/hevs/isi/core/DataPointListener.html" title="interface in ch.hevs.isi.core">DataPointListener</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../ch/hevs/isi/database/DatabaseConnector.html#onNewValue-ch.hevs.isi.core.FloatDataPoint-">onNewValue(FloatDataPoint)</a></span> - Method in class ch.hevs.isi.database.<a href="../ch/hevs/isi/database/DatabaseConnector.html" title="class in ch.hevs.isi.database">DatabaseConnector</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../ch/hevs/isi/database/DatabaseConnector.html#onNewValue-ch.hevs.isi.core.BinaryDataPoint-">onNewValue(BinaryDataPoint)</a></span> - Method in class ch.hevs.isi.database.<a href="../ch/hevs/isi/database/DatabaseConnector.html" title="class in ch.hevs.isi.database">DatabaseConnector</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../ch/hevs/isi/field/FieldConnector.html#onNewValue-ch.hevs.isi.core.FloatDataPoint-">onNewValue(FloatDataPoint)</a></span> - Method in class ch.hevs.isi.field.<a href="../ch/hevs/isi/field/FieldConnector.html" title="class in ch.hevs.isi.field">FieldConnector</a></dt>
<dd>
<div class="block">Is executed when the value of the <a href="../ch/hevs/isi/core/DataPoint.html" title="class in ch.hevs.isi.core"><code>DataPoint</code></a> changes</div>
</dd>
<dt><span class="memberNameLink"><a href="../ch/hevs/isi/field/FieldConnector.html#onNewValue-ch.hevs.isi.core.BinaryDataPoint-">onNewValue(BinaryDataPoint)</a></span> - Method in class ch.hevs.isi.field.<a href="../ch/hevs/isi/field/FieldConnector.html" title="class in ch.hevs.isi.field">FieldConnector</a></dt>
<dd>
<div class="block">Is executed when the value of the <a href="../ch/hevs/isi/core/DataPoint.html" title="class in ch.hevs.isi.core"><code>DataPoint</code></a> changes</div>
</dd>
<dt><span class="memberNameLink"><a href="../ch/hevs/isi/web/WebConnector.html#onNewValue-ch.hevs.isi.core.FloatDataPoint-">onNewValue(FloatDataPoint)</a></span> - Method in class ch.hevs.isi.web.<a href="../ch/hevs/isi/web/WebConnector.html" title="class in ch.hevs.isi.web">WebConnector</a></dt>
<dd>
<div class="block">the method is called when a SetValue is done on a FloatDataPoint
 Use the method Send() (from WebSocketServer) to sens a message to the web page with according protocol</div>
</dd>
<dt><span class="memberNameLink"><a href="../ch/hevs/isi/web/WebConnector.html#onNewValue-ch.hevs.isi.core.BinaryDataPoint-">onNewValue(BinaryDataPoint)</a></span> - Method in class ch.hevs.isi.web.<a href="../ch/hevs/isi/web/WebConnector.html" title="class in ch.hevs.isi.web">WebConnector</a></dt>
<dd>
<div class="block">the method is called when a <a href="../ch/hevs/isi/core/BinaryDataPoint.html#setValue-boolean-"><code>BinaryDataPoint.setValue(boolean)</code></a> is done on a BinaryDataPoint
 Use the method Send() (from WebSocketServer) to sens a message to the web page with according protocol</div>
</dd>
<dt><span class="memberNameLink"><a href="../ch/hevs/isi/web/WebConnector.html#onOpen-org.java_websocket.WebSocket-org.java_websocket.handshake.ClientHandshake-">onOpen(WebSocket, ClientHandshake)</a></span> - Method in class ch.hevs.isi.web.<a href="../ch/hevs/isi/web/WebConnector.html" title="class in ch.hevs.isi.web">WebConnector</a></dt>
<dd>
<div class="block">Method inherited from WebSocketServer
 Establish the connection between program and web page</div>
</dd>
<dt><span class="memberNameLink"><a href="../ch/hevs/isi/web/WebConnector.html#onStart--">onStart()</a></span> - Method in class ch.hevs.isi.web.<a href="../ch/hevs/isi/web/WebConnector.html" title="class in ch.hevs.isi.web">WebConnector</a></dt>
<dd>
<div class="block">Method inherited from WebSocketServer
 Print in the console to verify the TCP is well established</div>
</dd>
</dl>
<a href="index-1.html">A</a>&nbsp;<a href="index-2.html">B</a>&nbsp;<a href="index-3.html">C</a>&nbsp;<a href="index-4.html">D</a>&nbsp;<a href="index-5.html">E</a>&nbsp;<a href="index-6.html">F</a>&nbsp;<a href="index-7.html">G</a>&nbsp;<a href="index-8.html">H</a>&nbsp;<a href="index-9.html">I</a>&nbsp;<a href="index-10.html">L</a>&nbsp;<a href="index-11.html">M</a>&nbsp;<a href="index-12.html">O</a>&nbsp;<a href="index-13.html">P</a>&nbsp;<a href="index-14.html">R</a>&nbsp;<a href="index-15.html">S</a>&nbsp;<a href="index-16.html">T</a>&nbsp;<a href="index-17.html">U</a>&nbsp;<a href="index-18.html">V</a>&nbsp;<a href="index-19.html">W</a>&nbsp;</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../overview-summary.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li><a href="../overview-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li class="navBarCell1Rev">Index</li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="index-11.html">Prev Letter</a></li>
<li><a href="index-13.html">Next Letter</a></li>
</ul>
<ul class="navList">
<li><a href="../index.html?index-files/index-12.html" target="_top">Frames</a></li>
<li><a href="index-12.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
